//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.0.1 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2022.02.16 at 09:07:18 PM UTC 
//


package com.epam.rd.java.basic.task8;

import java.util.ArrayList;
import java.util.List;

public class TypeB {

    protected List<TypeC> c;

    /**
     * Gets the value of the c property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the c property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getC().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TypeC }
     * 
     * 
     */
    public List<TypeC> getC() {
        if (c == null) {
            c = new ArrayList<TypeC>();
        }
        return this.c;
    }

    @Override
    public String toString() {
        return "TypeB{" +
                c +
                '}';
    }
}
